curl -X DELETE https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01"
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"deleted": true,
"deleted_at": 1735690500
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Merchants
Delete Merchant
Soft delete a merchant
DELETE
/
tax
/
merchants
/
{merchant_id}
curl -X DELETE https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01"
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"deleted": true,
"deleted_at": 1735690500
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Soft delete a merchant. The merchant will no longer appear in GET or LIST operations but the data is preserved internally.
Deleted merchants cannot be used in new platform calculations. Attempting to use a deleted merchant’s ID will return a
merchant_not_found error.Headers
string
required
Bearer token authentication.
string
required
Must be
2026-03-01.Path Parameters
string
required
The merchant ID (
merch_xxx) or your reference_merchant_id.Response
string
The merchant ID.
string
Always
tax.merchant.boolean
Always
true for successful deletion.number
Unix timestamp of deletion.
curl -X DELETE https://api.numeralhq.com/tax/merchants/my-seller-123 \
-H "Authorization: Bearer sk_test_xxx" \
-H "X-API-Version: 2026-03-01"
{
"id": "merch_1765503753979c37c5f24",
"object": "tax.merchant",
"deleted": true,
"deleted_at": 1735690500
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
{
"error": {
"error_code": "merchant_not_found",
"error_message": "Merchant not found or belongs to different testmode"
}
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-01-01 Path Parameters
The merchant ID (merch_xxx) or your reference_merchant_id